Skip to main content

Get All Payment Links

Endpoint for getting all Payment Links.

info

Please be aware that this endpoint requires a Manage Payment Links or a View Payment Links API Key.

GET /api/v1/groups/{group_id}/payment-links

Query Parameters

NameDescriptionType
statusesFilter the matching statuses. Can be active, paid, expired or canceled. (Can send multiple, separate them with commas.)string
startSearch for Payment Links with creation time after start value.string (YYYY-MM-DDTHH:mm:ssZ)
endSearch for Payment Links with creation time before end value.string (YYYY-MM-DDTHH:mm:ssZ)
limitOptional parameter to limit the number of results in the query.uint64
offsetNumber of items to skip before starting to collect the result set.uint64

Response

CodeDescription
200Success
500Internal Error

Example Usage

get.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');

var requestOptions = {
method: 'GET',
headers: headers,
redirect: 'follow'
};
const group_id = '';
const url = `https://api.reverepayments.dev/api/v1/groups/${group_id}/payment-links`;
fetch(url, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response

{
"items": [
{
"id": "7e44c370-078e-4fa3-9909-bdd8554eb068",
"group_id": "8059f5c6-e1cd-4e46-9196-1d7e47401a3e",
"title": "Consulting session",
"description": "1 hour consulting session",
"amount": 15000,
"currency": "USD",
"card_enabled": true,
"ach_enabled": true,
"processor_id": "fbf2e44a-eed6-426f-b0e2-a3a5b34377c0",
"expires_at": "2025-12-18T00:00:00Z",
"redirect_url": "https://example.com/thank-you",
"status": "active",
"url": "https://merchant.reverepayments.dev/payment-links/7e44c370-078e-4fa3-9909-bdd8554eb068",
"created_at": "2025-11-18T14:27:10.661796389Z",
"updated_at": "2025-11-18T14:27:10.661796389Z"
},
{
"id": "3dccd93c-fb56-43c7-90df-9c4f96ad988d",
"group_id": "8059f5c6-e1cd-4e46-9196-1d7e47401a3e",
"title": "Deposit",
"description": "",
"amount": 5000,
"currency": "USD",
"card_enabled": true,
"ach_enabled": false,
"processor_id": "fbf2e44a-eed6-426f-b0e2-a3a5b34377c0",
"expires_at": null,
"redirect_url": "",
"status": "canceled",
"url": "https://merchant.reverepayments.dev/payment-links/3dccd93c-fb56-43c7-90df-9c4f96ad988d",
"created_at": "2025-11-18T14:11:55.69373Z",
"updated_at": "2025-11-18T14:15:02.11348Z"
}
],
"total_count": 2
}